com.atid.lib.module.barcode.spc.param

## Class SPCParamValue

- java.lang.Object
- - com.atid.lib.module.barcode.spc.param.SPCParamValue

-     public class SPCParamValue
      extends java.lang.Object

  Set data of barcode scanner's parameters.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPCParamValue(SPCParamName name)` Create an instance of the SPCParamValue class.
    `SPCParamValue(SPCParamName name, java.lang.Object value)` Create an instance of the SPCParamValue class.
    `SPCParamValue(SPCParamName name, java.lang.Object value, ResponseType response)` Create an instance of the SPCParamValue class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(SPCParamName name)` Compare the type of parameter on the SPCParamValue instance.
    `SPCParamName` | `getName()` Returns the type of parameter stored in the SPCParamValue instance.
    `ResponseType` | `getResponse()` Returns the result of parameter stored in the SPCParamValue instance.
    `java.lang.Object` | `getValue()` Returns the value of parameter stored in the SPCParamValue instance.
    `void` | `setResponse(ResponseType value)` Set the result of parameter on the SPCParamValue instance.
    `void` | `setValue(java.lang.Object value)` Set the parameter value on the SPCParamValue instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SPCParamValue

          public SPCParamValue(SPCParamName name)

      Create an instance of the SPCParamValue class.

    - #### SPCParamValue

          public SPCParamValue(SPCParamName name,
                               java.lang.Object value)

      Create an instance of the SPCParamValue class.

    - #### SPCParamValue

          public SPCParamValue(SPCParamName name,
                               java.lang.Object value,
                               ResponseType response)

      Create an instance of the SPCParamValue class.

  - ### Method Detail

    - #### getName

          public SPCParamName getName()

      Returns the type of parameter stored in the SPCParamValue instance.
      Returns:
        An SPCParamName represent the type of parameter.

    - #### getValue

          public java.lang.Object getValue()

      Returns the value of parameter stored in the SPCParamValue instance.
      Returns:
        An Object represent the value of parameter.

    - #### setValue

          public void setValue(java.lang.Object value)

      Set the parameter value on the SPCParamValue instance.
      Parameters:
        `params` - A value that specifies the parameter value of the SPCParamValue instance.

    - #### getResponse

          public ResponseType getResponse()

      Returns the result of parameter stored in the SPCParamValue instance.
      Returns:
        An ResponseType represent the result of parameter.

    - #### setResponse

          public void setResponse(ResponseType value)

      Set the result of parameter on the SPCParamValue instance.
      Parameters:
        `params` - A value that specifies the parameter result value of the SPCParamValue instance.

    - #### equals

          public boolean equals(SPCParamName name)

      Compare the type of parameter on the SPCParamValue instance.